Create Or Update Llm Analytics Config
curl --request PUT \
--url https://{api_endpoint}/v1/analytics/llm \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"tool_identifier": "<string>",
"api_key": "<string>",
"host_uri": "<string>",
"project_id": "default",
"host_health_uri": "<string>",
"mask_pii": false,
"config_json": {}
}
'import requests
url = "https://{api_endpoint}/v1/analytics/llm"
payload = {
"tool_identifier": "<string>",
"api_key": "<string>",
"host_uri": "<string>",
"project_id": "default",
"host_health_uri": "<string>",
"mask_pii": False,
"config_json": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
tool_identifier: '<string>',
api_key: '<string>',
host_uri: '<string>',
project_id: 'default',
host_health_uri: '<string>',
mask_pii: false,
config_json: {}
})
};
fetch('https://{api_endpoint}/v1/analytics/llm', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "Transaction completed successfully"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}LLM Analytics
Create Or Update Llm Analytics Config
Create or update LLM analytics tool integration
Create Or Update Llm Analytics Config
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Identifier for the analytics tool
API Key for the tool
Minimum string length:
10Host URI for the analytics tool
Project ID, defaults to 'default'
Maximum string length:
100Health check URI
Flag to mask PII
Additional configuration
Response
Successful Response
Standard success response for PUT and DELETE operations
⌘I

